getPlayerLiveStreamSession
GET
/api/v1/player/live-stream-session
const url = 'https://example.com/api/v1/player/live-stream-session?captureProfile=edge-540p10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/player/live-stream-session?captureProfile=edge-540p10' \ --header 'Authorization: Bearer <token>'Read the screen’s current live stream session, if any. Requires an authenticated player credential.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”captureProfile
string
Optional Watch Live capture profile supported by this Player. Omit it to retain the legacy 640x360 at 8 FPS profile.
Responses
Section titled “ Responses ”Current live stream session
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
screenId
required
string format: uuid
active
required
boolean
expiresAt
required
string format: date-time
frameIntervalMillis
required
integer
maxWidth
required
integer
maxHeight
required
integer
maxFrameBytes
required
integer
Examplegenerated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "screenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "active": true, "expiresAt": "2026-04-15T12:00:00Z", "frameIntervalMillis": 1, "maxWidth": 1, "maxHeight": 1, "maxFrameBytes": 1 }}Credential invalid or revoked